﻿@ModelType UserPoco
@Code
    ViewData("Title") = "Add New User"
End Code

<h2>Add New User</h2>

@Using (Html.BeginForm()) 
    @Html.AntiForgeryToken()
    
    @<div class="form-horizontal">
    <h4></h4>
    <hr />
    @Html.ValidationSummary(True, "", New With {.class = "text-danger"})
    <div class="form-group">
        @Html.Label("Domain\Loginname", htmlAttributes:=New With {.class = "control-label col-md-2"})
        <div class="col-md-10">
            @Html.EditorFor(Function(model) model.LoginName, New With {.htmlAttributes = New With {.class = "form-control"}})
            @Html.ValidationMessageFor(Function(model) model.LoginName, "", New With {.class = "text-danger"})
        </div>
    </div>

    @*<div class="form-group">
            @Html.LabelFor(Function(model) model.pw, htmlAttributes:= New With { .class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(Function(model) model.pw, New With { .htmlAttributes = New With { .class = "form-control" } })
                @Html.ValidationMessageFor(Function(model) model.pw, "", New With { .class = "text-danger" })
            </div>
        </div>*@

    @*<div class="form-group">
            @Html.LabelFor(Function(model) model.LastLoginTimeStamp, htmlAttributes:= New With { .class = "control-label col-md-2" })
            <div class="col-md-10">
                @Html.EditorFor(Function(model) model.LastLoginTimeStamp, New With { .htmlAttributes = New With { .class = "form-control" } })
                @Html.ValidationMessageFor(Function(model) model.LastLoginTimeStamp, "", New With { .class = "text-danger" })
            </div>
        </div>*@

    <div class="form-group">
        @Html.Label("Is Portal Admin", htmlAttributes:=New With {.class = "control-label col-md-2"})

        <div class="col-md-10">
            @*<div class="checkbox">*@
            @Html.EditorFor(Function(model) model.IsWOLPortalAdmin)
            @Html.ValidationMessageFor(Function(model) model.IsWOLPortalAdmin, "", New With {.class = "text-danger"})
            @*</div>*@
        </div>
    </div>

    <div class="form-group">
        @Html.Label("Is Group Status Viewer", htmlAttributes:=New With {.class = "control-label col-md-2"})

        <div class="col-md-10">
            @*<div class="checkbox">*@
            @Html.EditorFor(Function(model) model.IsGroupDataReader)
            @Html.ValidationMessageFor(Function(model) model.IsGroupDataReader, "", New With {.class = "text-danger"})
            @*</div>*@
        </div>
    </div>

    <div class="form-group">
        <div class="col-md-offset-2 col-md-10">
            <input type="submit" value="Create" class="btn btn-default" />
        </div>
    </div>
</div>
End Using

<div>
    @Html.ActionLink("Back to List", "Index")
    @*@Html.ActionLink("Back to List", "Index", New With {.UserFilter = ViewBag.CurrentUserFilter, .PCFilter = ViewBag.CurrentPCFilter, .IsAdmin = ViewBag.CurrentAdminFilter, .IsViewer = ViewBag.CurrentViewerFilter})*@
</div>

@Section Scripts 
    @Scripts.Render("~/bundles/jqueryval")
End Section
