﻿@modeltype   UserPoco

@Code

    Const WOLTIMEOUT As Integer = 4
    ViewData("Title") = "WOL Portal"
End Code

<p><br /></p>
<h4>@ViewData("Message")</h4>
<p><br /></p>

<p></p>
<div>
    <table>


        @code

            For Each pc As PcPoco In Model.PCs
                If String.IsNullOrWhiteSpace(pc.PCName) Then
                    Continue For
                End If
                If Not pc.Enabled Then
                    Continue For
                End If
                @code
                    Dim res As Boolean

                    Dim resString



                    Try
                        res = My.Computer.Network.Ping(pc.PCName, 1000)
                        If res Then
                            resString = "ON detected via PING"
                        Else
                            resString = "OFF"
                        End If
                    Catch ex As Exception
                        resString = ex.Message
                        res = False
                    End Try



                    If res = False AndAlso pc.LastWOLTimeStamp.HasValue AndAlso Now.Subtract(pc.LastWOLTimeStamp).TotalSeconds < 60 * WOLTIMEOUT Then
                        res = True

                        Dim minLeft As Integer = WOLTIMEOUT + 1 - CInt(Now.Subtract(pc.LastWOLTimeStamp).TotalMinutes)
                        If minLeft < 0 Then minLeft = 0


                        If pc.LastWOLTimeStamp.HasValue AndAlso Now.Subtract(pc.LastWOLTimeStamp).TotalMinutes > 60 * WOLTIMEOUT Then
                            pc.LastWOLResponse = String.Empty

                        End If

                        If Not String.IsNullOrEmpty(pc.LastWOLResponse) Then
                            resString = pc.LastWOLResponse ' & minLeft & (" Minute") & IIf(minLeft = 1, "", "s")

                        Else


                            resString = "WOL request is going on for the next " & minLeft & (" Minute") & IIf(minLeft = 1, "", "s")
                        End If
                    Else
                        pc.LastWOLResponse = ""
                    End If

                End code

                @<tr>

                    <td style="min-width:250px">
                        @Html.DisplayFor(Function(o) pc.PCName)
                    </td>
                    @*<td >

                            @Html.Label(" ")

                        </td>*@

                    @code
                        If res = False Then
                            @<td class="input-group">
                                @Html.ActionLink(">>  Wake", "WOLPC", New With {.pcID = pc.ID, .user = Model.LoginName}, Nothing)
                            </td>


                        Else
                            @<td class="alert-success">
                                @Html.Label("", String.Format("{0}", resString))
                            </td>



                        End If

                    End Code






                </tr>


            Next

        End Code
    </table>
</div>

<div>
    <br /> <b>
        @Html.ActionLink("Logout", "Logout")
    </b>

</div>
<div>
    <br /> <b>
    @If Model.IsWOLPortalAdmin Then
        @Html.ActionLink("Manage Users and PCs", "Manage", New With {.userID = Model.ID}, Nothing)
    End If
    <br />
    @If Model.IsGroupDataReader Then
        @Html.ActionLink("Show current status", "ShowGroupStatus", New With {.userID = Model.ID}, Nothing)
    End If

</b>
</div>


