﻿@ModelType UserPoco

<!DOCTYPE html>


<body>
  
    @code
        Dim state As String = ViewBag.State
    End Code
    @Using (Html.BeginForm())
        @Html.AntiForgeryToken()


        If Not String.IsNullOrWhiteSpace(state) Then
            @<br />
            @<div class="alert-danger">
                @Html.Label("", String.Format("{0}", state))
            </div>

        End If

        @<div Class="form-horizontal">
            <h4> Login Using domain\loginname</h4>
            <hr />
            @Html.ValidationSummary(True, "", New With {.class = "text-danger"})
            <div class="form-group">
                @Html.Label("User Name", htmlAttributes:=New With {.class = "control-label col-md-2"})
                <div class="col-md-10">
                    @Html.TextBoxFor(Function(model) model.LoginName, New With {.htmlAttributes = New With {.class = "form-control"}})
                    @Html.ValidationMessageFor(Function(model) model.LoginName, "", New With {.class = "text-danger"})
                </div>
            </div>

            <div class="form-group">
                @Html.Label("Password", htmlAttributes:=New With {.class = "control-label col-md-2"})
                <div class="col-md-10">
                    @Html.PasswordFor(Function(model) model.pw, New With {.htmlAttributes = New With {.class = "form-control"}})
                    @Html.ValidationMessageFor(Function(model) model.pw, "", New With {.class = "text-danger"})
                </div>
            </div>

            <div class="form-group">
                <div class="col-md-offset-2 col-md-10">
                    <input type="submit" value="Login" class="btn btn-default" />
                </div>
            </div>
        </div>
    End Using

    <div>
        @*@Html.ActionLink("Back to List", "Index")*@
    </div>
</body>
