﻿@ModelType  WEBPortal.GroupPCs_LocalPoco


<!DOCTYPE html>

<html>
@*<head>
    <meta name="viewport" content="width=device-width" />
    <title>Index</title>


</head>*@

<body>
    <h2>
        Site Statistics from
        @code
            Dim datum As String = Date.Now.ToString("MM\\dd\\yyyy - HH:mm:ss")
            @Html.Label(datum)
        End Code

        @*Total PCs ON:
        @code
            @Html.Label(Model.TotalONPC)
        End Code
        Total PCs OFF:
        @code
            Dim tpco As Integer = Model.TotalPC - Model.TotalONPC
            If tpco < 0 Then tpco = 0
                        @Html.Label(tpco)
        End Code*@

    </h2>
    @If Model.GetAllGroups.Count > 15 Then


    @<div>
        <b>
            @Html.ActionLink("Back to WOL", "WOL", "Home") |
            @Html.ActionLink("Logout", "Logout", "Home")
        </b>

    </div>

    End If

    <br />

    <p>
        @Html.Display("Numer of Groups: " & Model.GetAllGroups.Count)
    </p>

    <table class="table table-striped">
        <tr>
            <th>
                @Html.DisplayName("Auto Shutdown Manager")
                <br />
                @Html.DisplayName("Policy Groups")
                <br />
            </th>
            <th>
                @Html.DisplayName("Statistics")
                <br /> <br />
                <div class="alert-info">

                    @Html.DisplayName("Total PCs: ")  @Model.TotalPC
                </div>

                <div class="alert-success">
                    @code
                        Dim pconRes As String = "N/A"
                        If Model.TotalPC > 0 Then
                            Dim pcon As Double = Model.TotalONPC / Model.TotalPC
                            pconRes = String.Format("{0:0}%", pcon * 100)
                        End If

                    End Code
                    @Html.DisplayName("Currently On: ")  @Model.TotalONPC (@pconRes)
                </div>
                <div class="alert-danger">
                    @code
                        Dim pcoffRes As String = "N/A"
                        If Model.TotalPC > 0 Then
                            Dim pcoff As Double = 1 - (Model.TotalONPC / Model.TotalPC)
                            If pcoff < 0 Then pcoff = 0
                            pcoffRes = String.Format("{0:0}%", pcoff * 100)
                        End If

                    End Code
                    @Html.DisplayName("Currently Off: ")  @Model.TotalOFFPC (@pcoffRes)
                </div>

            </th>
            @*<th>
                    @Html.DisplayName("PCs currently ON")
                </th>*@

        </tr>

        @For Each item As WEBPortal.GroupPCs_LocalPoco.GroupData In Model.GetAllGroups

            If item.NrTotalPCs = 0 Then
                Continue For
            End If

            @<tr>
                <td style="min-width:250px">
                    @Html.DisplayFor(Function(o) item.GroupName)
                </td>
                <td>
                    <div class="alert-info">
                        @Html.DisplayFor(Function(o) item.NrTotalPCs)
                    </div>
                    @*<text>/</text>*@
                    <div class="alert-success">
                        @Html.DisplayFor(Function(o) item.NrOnlinePCs) (@Html.DisplayFor(Function(o) item.PercentOn))
                        
                    </div>
                    <div class="alert-danger">
                        @Html.DisplayFor(Function(o) item.NrOfflinePCs) (@Html.DisplayFor(Function(o) item.PercentOFF))
                    </div>


                </td>
            </tr>
        Next

    </table>


    @code


        Dim myFileVersionInfo As System.Diagnostics.FileVersionInfo = System.Diagnostics.FileVersionInfo.GetVersionInfo(Server.MapPath(Path.Combine("~\bin\", "WEBPortal.dll")))



        'Dim s As String = ".\bin\WEBPortal.dll"
        'Dim fi As IO.File = IO.File.
        'Dim version As String = fi.ver

        Dim vs As String = "WOL Portal Version: " & myFileVersionInfo.FileVersion

    End Code



    <div>
        <b>
            @Html.ActionLink("Back to WOL", "WOL", "Home") |
            @Html.ActionLink("Logout", "Logout", "Home")
        </b>

    </div>

    <div>
        <br /> <b>
            @Html.Raw(vs)
        </b>
    </div>
</body>
</html>
