﻿@ModelType UserPoco
@Code
    ViewData("Title") = "Edit WOL Portal User"

End Code



<h2>Edit user @Model.LoginName </h2>

@Using (Html.BeginForm("Edit", "Admin"))
    @Html.AntiForgeryToken()

    @<div class="form-horizontal">
    <h4></h4>
    <hr />
    @Html.ValidationSummary(True, "", New With {.class = "text-danger"})
    @Html.HiddenFor(Function(model) model.ID)

    <div class="form-group">
        @Html.Label("Login Name", htmlAttributes:=New With {.class = "control-label col-md-2"})
        <div class="col-md-10">
            @Html.EditorFor(Function(model) model.LoginName, New With {.htmlAttributes = New With {.class = "form-control"}})
            @Html.ValidationMessageFor(Function(model) model.LoginName, "", New With {.class = "text-danger"})
            @Html.HiddenFor(Function(model) model.LastLoginTimeStamp)
         
        </div>
    </div>

    @*<div class="form-group">
            @Html.LabelFor(Function(model) model.LastLoginTimeStamp, htmlAttributes:=New With {.class = "control-label col-md-2"})
            <div class="col-md-10">
                @Html.EditorFor(Function(model) model.LastLoginTimeStamp, New With {.htmlAttributes = New With {.class = "form-control"}})
                @Html.ValidationMessageFor(Function(model) model.LastLoginTimeStamp, "", New With {.class = "text-danger"})
            </div>
        </div>*@

    <div class="form-group">
        @Html.Label("Portal Admin", htmlAttributes:=New With {.class = "control-label col-md-2"})
        <div class="col-md-10">
            @*<div class="checkbox">*@
            @Html.EditorFor(Function(model) model.IsWOLPortalAdmin)
            @Html.ValidationMessageFor(Function(model) model.IsWOLPortalAdmin, "", New With {.class = "text-danger"})
            @*</div>*@
        </div>
    </div>

    <div class="form-group">
        @Html.Label("Status Viewer", htmlAttributes:=New With {.class = "control-label col-md-2"})
        <div class="col-md-10">
            @*<div class="checkbox">*@
            @Html.EditorFor(Function(model) model.IsGroupDataReader)
            @Html.ValidationMessageFor(Function(model) model.IsGroupDataReader, "", New With {.class = "text-danger"})
            @*</div>*@
        </div>
    </div>


    <br /><br />

    @If Model.PCs.Count > 0 Then





        @<Table Class="table">
            <tr>
                <th>
                    @Html.Label("PC Name")
                </th>
                <th>
                    @Html.Label("Enabled")
                </th>
                <th>
                    @Html.Label("Handling")
                </th>

            </tr>


            @code


                'Dim soretdList As List(Of PcPoco) = Model.PCs.OrderBy(Function(p) p.PCName).ToList()

                For i As Integer = 0 To Model.PCs.Count - 1
                    Dim pcID As Integer = Model.PCs(i).ID
                    'Dim pcID As Integer = soretdList(i).ID

                    @<tr>

                        <td>
                            @Html.TextBoxFor(Function(o) o.PCs(i).PCName, New With {.class = "form-input", .placeHolder = "Enter a valid PC Name"})
                        </td>
                        <td>
                            @Html.HiddenFor(Function(o) o.PCs(i).ID)
                            @Html.HiddenFor(Function(o) o.PCs(i).UserID)
                            @Html.ValidationMessageFor(Function(o) o.PCs(i).PCName, "", New With {.class = "text-danger"})

                            @Html.EditorFor(Function(o) o.PCs(i).Enabled)

                        </td>
                        <td>

                            @If pcID = 0 Then


                                @*@Html.ActionLink("ADD as new PC", "ADDPC", New With {.userID = Model.ID, .pcName = Model.PcPoco(i).PCName})*@

                            Else
                                @Html.ActionLink("DELETE ", "DELPC", New With {.pcID = pcID})

                            End If


                        </td>
                    </tr>
                Next


            End Code

        </Table>

    End If

    <div .class="control-label col-md-2" }>
        <b>
            @Html.ActionLink("+ ADD a new PC", "ADDPC1", New With {.userID = Model.ID})
        </b>

    </div>

    <br />
    <div>
        <input type="submit" value="Save Data" Class="btn btn-default" />

    </div>

</div>
End Using

<div>
    @Html.ActionLink("Back to List", "Index")
    @*@Html.ActionLink("Back to List", "Index", New With {.UserFilter = ViewBag.CurrentUserFilter, .PCFilter = ViewBag.CurrentPCFilter, .IsAdmin = ViewBag.CurrentAdminFilter, .IsViewer = ViewBag.CurrentViewerFilter})*@
</div>

@Section Scripts
    @Scripts.Render("~/bundles/jqueryval")
End Section
