﻿@*@ModelType IEnumerable(Of UserPoco)*@
@ModelType PagedList.IPagedList(Of UserPoco)
@Imports PagedList.Mvc

@Code
    ViewData("Title") = "WOL Portal User Manager"
    '  Dim userlogin As String = ViewData("userLoginName")
End Code

<h2>User Manager</h2>

<p>

    @If Model.Count > 20 Then
        @<b>
            @Html.ActionLink("+ Add New User", "Create") |
            @Html.ActionLink("Back to WOL", "BACKWOL") |
            @Html.ActionLink("Logout", "Logout", "Home")
            <br />
        </b>

    End If

    <div Class="visible">

        @Using (Html.BeginForm())
            @Html.AntiForgeryToken()

            @<p>
    <span style="color:lightgray; font-size:small ">
        Use <b> *?#</b> as wildcards for filtering. For example: <b> *jo?n*</b> finds domainname\JohnDoe
    </span>
    <br />

    Is Admin: @Html.CheckBox("IsAdmin", CBool(ViewBag.CurrentAdminFilter))
    Is Viewer: @Html.CheckBox("IsViewer", CBool(ViewBag.CurrentViewerFilter), New With {.Style = "margin-right:10px"})

    @Html.TextBox("UserFilter", CStr(ViewBag.CurrentUserFilter), New With {.PlaceHolder = "Filter by user name", .Style = "margin-right:10px,margin-left:10px"})


    @*@Html.TextBox("UserFilter", uf, New With {.PlaceHolder = "Filter by user name", .Style = "margin-right:10px,margin-left:10px"})*@

    @*<input type="submit" value="Go" style="margin-right: 10px" />*@

    @Html.TextBox("PCFilter", CStr(ViewBag.CurrentPCFilter), New With {.PlaceHolder = "Filter by PC name"})



    <input type="submit" name="IndexButton" value="Filter" />
    <input type="submit" name="IndexButton" value="Show All" />
    <input type="submit" name="IndexButton" value="Export All" />

</p>

    @*@<script src = "//ajax.googleapis.com/ajax/libs/jquery/1.11.0/jquery.min.js" ></script>
        @<script>
            $(document).ready(function () {
                $("#btncancel").click(function () {
                    alert('sdfsdf')
                    $('input:text').val('');
                    Return False;
                });
            });


        </script>*@

End Using


        </div>
        <br />

        <table Class="table table-striped">
            <tr>
                <th>
                    @*@Html.DisplayNameFor(Function(model) model.LoginName)*@
                    @Html.DisplayName("User")
                </th>
                @*<th>
                        @Html.DisplayNameFor(Function(model) model.pw)
                    </th>*@
                <th>
                    @Html.DisplayName("Last Login Time")
                </th>
                <th>
                    @Html.DisplayName("Is Portal Admin")
                </th>
                <th>
                    @Html.DisplayName("Is Status Viewer")
                </th>
                <th>
                    @Html.DisplayName("PCs Assigned")
                </th>
                <th>
                    @Html.DisplayName("Actions")

                </th>
            </tr>

            @For Each item In Model
                @<tr>
                    <td>
                        @Html.DisplayFor(Function(modelItem) item.LoginName)
                        @Html.HiddenFor(Function(modelItem) item.pw)
                    </td>
                    @*<td>

                        </td>*@
                    <td>
                        @Html.DisplayFor(Function(modelItem) item.LastLoginTimeStamp)
                    </td>
                    <td>
                        @Html.DisplayFor(Function(modelItem) item.IsWOLPortalAdmin)
                    </td>
                    <td>
                        @Html.DisplayFor(Function(modelItem) item.IsGroupDataReader)
                    </td>
                    <td>
                        @*@Html.DisplayFor(Function(modelItem) item.PCs.Count)*@
                        @code
                            @*Dim pcs As String = String.Format("PCs: {0:N0}", item.PCs.Count)
            @Html.Raw(pcs)*@

                        Dim newLineNeeded As Boolean = False

                        If item.PCs.Count = 0 Then
                                @Html.Raw("n/a")
                            Else

                                Dim sortedPCNames = From allpcs In item.PCs Select allpcs Order By allpcs.PCName Ascending


                                For Each pc In sortedPCNames
                                    If newLineNeeded Then
                                    @<br />
                                    End If
                                @Html.Raw(pc.PCName)
                                    newLineNeeded = True
                                Next
                            End If

                            'Dim pcnames As String = item.AllPCNames
                            @*If Not String.IsNullOrEmpty(pcnames) Then
                @<br />

            End If*@
                        End Code
                        @*  @Html.DisplayFor(Function(modelItem) item.AllPCNames)*@
                        @*@Html.DisplayText("blabla")*@
                    </td>
                    <td>
                        @Html.ActionLink("Edit", "Edit", New With {.id = item.ID}) |
                        @Html.ActionLink("Details", "Details", New With {.id = item.ID}) |
                        @Html.ActionLink("Delete", "Delete", New With {.id = item.ID})
                    </td>
                </tr>
            Next

        </table>

        <br />
@If Model.PageCount > 1 Then


        @<div>
            @*Page @IIf(Model.PageCount < Model.PageNumber, 0, Model.PageNumber) Of @Model.PageCount*@
            @Html.PagedListPager(Model, Function(page) Url.Action("Index", New With {.UserFilter = ViewBag.CurrentUserFilter, .PCFilter = ViewBag.CurrentPCFilter, .IsAdmin = ViewBag.CurrentAdminFilter, .IsViewer = ViewBag.CurrentViewerFilter, page}))

        </div>

End If

        <div>
            <br />
            <b>
                @Html.ActionLink("+ Add New User", "Create") |
                @Html.ActionLink("Back to WOL", "BACKWOL") |
                @Html.ActionLink("Logout", "Logout", "Home")
            </b>



        </div>
